driver: freenas-api-nfs

instance_id:

[[- $url := urlParse .democratic_csi.controller.truenas.api.url ]]
httpConnection:
  protocol: [[ $url.Scheme ]]
  host: [[ $url.Host ]]
  port: [[ $url.Port ]]
  apiKey: {{ with secret "[[ .vault.root ]]kv/service/[[ .instance ]]" }}{{ .Data.data.truenas_api_key }}{{ end }}
  allowInsecure: [[ .democratic_csi.controller.truenas.api.insecure | ternary "true" "false" ]]
  apiVersion: 2

zfs:
  datasetParentName: [[ .democratic_csi.controller.nfs.zfs.parent ]]
  detachedSnapshotsDatasetParentName: [[ .democratic_csi.controller.nfs.zfs.snap_parent ]]
  datasetEnableQuotas: [[ .democratic_csi.controller.nfs.zfs.quota ]]
  datasetEnableReservation: [[ .democratic_csi.controller.nfs.zfs.reservation ]]
  datasetPermissionsMode: "0770"
  datasetPermissionsUser: 0
  datasetPermissionsGroup: 0

nfs:
  shareHost: [[ .democratic_csi.controller.nfs.server ]]
  shareAlldirs: false
  shareAllowedHosts: []
  shareAllowedNetworks:
[[- range $idx, $cidr := .democratic_csi.controller.nfs.allowed_networks ]]
    - [[ $cidr ]][[ end ]]
  shareMaprootUser: root
  shareMaprootGroup: root
  shareMapallUser: ""
  shareMapallGroup: ""
